Skip to main content
`Ctrl`+`K`

# SVDType

String with the name of a singular value solver.

## Synopsis

    typedef const char *SVDType;
    #define SVDCROSS       "cross"
    #define SVDCYCLIC      "cyclic"
    #define SVDLANCZOS     "lanczos"
    #define SVDTRLANCZOS   "trlanczos"
    #define SVDRANDOMIZED  "randomized"
    #define SVDLAPACK      "lapack"
    #define SVDSCALAPACK   "scalapack"
    #define SVDKSVD        "ksvd"
    #define SVDELEMENTAL   "elemental"
    #define SVDPRIMME      "primme"

## See Also

SVD: Singular Value Decomposition, `SVDSetType()`, `SVD`

## Level

beginner

## Location

include/slepcsvd.h

## Examples

src/svd/tutorials/ex15.c
src/svd/tutorials/ex14.c
src/svd/tutorials/ex15f.F90
src/svd/tutorials/ex45.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages